// --- Shared Application State ---

export let songSections = [];
export let draggedSectionId = null;
export let draggedChordSourceElement = null;
export let chordApiData = [];

// --- State Modifiers ---
export function setSongSections(newSections) {
    songSections = newSections;
}
export function setDraggedSectionId(id) {
    draggedSectionId = id;
}
export function setDraggedChordSourceElement(element) {
    draggedChordSourceElement = element;
}
export function setChordApiData(data) {
    chordApiData = data;
}